com.pixelmed.dicom

## Class StoredFilePathStrategyComponentFolders

- java.lang.Object
- - com.pixelmed.dicom.StoredFilePathStrategy
  - - com.pixelmed.dicom.StoredFilePathStrategyComponentFolders

    public class StoredFilePathStrategyComponentFolders
    extends StoredFilePathStrategy

Store files in a hierarchy of folders using successive numeric components of the SOP Instance UID as the folder name and the SOP Instance UID as the filename within the most deeply nested folder.

This is not a good strategy, since there may still be too many files within folders, since UID roots have significant commonality.

### Field Summary

### Fields inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`BYSOPINSTANCEUIDCOMPONENTFOLDERS, BYSOPINSTANCEUIDHASHSUBFOLDERS, BYSOPINSTANCEUIDINSINGLEFOLDER, debugLevel, defaultAlternativeSubfolder`

### Constructor Summary

Constructors
Constructor and Description
`StoredFilePathStrategyComponentFolders()`

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Perform self test.
`java.lang.String` `makeStoredFilePath(java.lang.String sopInstanceUID)` Generate a path to where to store a file based on its SOP Instance UID.
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`getDefaultStrategy, makeAlternativeStoredFilePath, makeReliableStoredFilePathWithFoldersCreated, makeReliableStoredFilePathWithFoldersCreated, makeStoredFilePath, setDebugLevel, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoredFilePathStrategyComponentFolders

    public StoredFilePathStrategyComponentFolders()

### Method Detail

#### makeStoredFilePath

    public java.lang.String makeStoredFilePath(java.lang.String sopInstanceUID)

Description copied from class: `StoredFilePathStrategy`

Generate a path to where to store a file based on its SOP Instance UID.

Overrides:
  `makeStoredFilePath` in class `StoredFilePathStrategy`
Parameters:
  `sopInstanceUID` - the SOP Instance UID of the instance to be saved
Returns:
  the path to the file, which may contain nested sub-folders

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### main

    public static void main(java.lang.String[] arg)

Perform self test. If arguments are given, then use then as test UIDs. If no arguments, then use internal test UIDs.